Update on browser support - October 2015

Due to changes in PCI DSS standards, we have updated our list of supported browsers:

  • Chrome v30 and above
  • Android Browser 5.0 and above
  • Firefox v27 and above
  • IE 11 and above
  • IE 8-10 , Windows 7 and above only – TLS 1.2 is disabled by default and needs to be enabled. You can enable TLS 1.2 under Settings/Internet Options/Advanced and scroll to the bottom and tick TLS 1.2. If you are using group policies then you may not be able to make this change yourself in which case you should contact your IT department.
  • Opera 17 and above
  • Apple Safari v7 and above on OSX 10.9 and above
  • IOS Safari v5 and above
  • Windows Safari – no support

http://www.naturalhr.com/blog/2015/10/update-on-browser-support/

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk